'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const env_1 = require("../env");
const contract = require('truffle-contract');
const eventStoreFactoryArtifacts = require('../../build/contracts/EventStoreFactory');
const Transactions_1 = require("../Transactions/Transactions");
var EventStoreFactory;
(function (EventStoreFactory) {
    EventStoreFactory.EventStoreFactoryContract = contract(eventStoreFactoryArtifacts);
    EventStoreFactory.EventStoreFactoryContract.setProvider(env_1.web3.currentProvider);
    EventStoreFactory.createEventStore = (factory, fromAddress) => tslib_1.__awaiter(this, void 0, void 0, function* () {
        let tx = yield factory.createEventStore({
            from: fromAddress,
            gas: 2000000
        });
        let events = Transactions_1.Transactions.transactionToEventCollection(tx);
        return {
            events: events,
            tx: tx
        };
    });
    EventStoreFactory.getAllEventStoreContractAddresses = (factory, fromAddress) => tslib_1.__awaiter(this, void 0, void 0, function* () {
        let addresses = yield factory.getEventStores({
            from: fromAddress
        });
        return addresses;
    });
})(EventStoreFactory = exports.EventStoreFactory || (exports.EventStoreFactory = {}));
