export declare module EventTypes {
    interface ISolidityEventProperty {
        EventIndex: Object;
        EventPropertyIndex: Object;
        Name: string;
        Type: string;
        AddressValue: string;
        UIntValue: Object;
        StringValue: string;
    }
    interface ISolidityEvent {
        Id: Object;
        Type: string;
        IntegrityHash: string;
        PropertyCount: Object;
    }
    const SOLIDITY_EVENT = "SOLIDITY_EVENT";
    const SOLIDITY_EVENT_PROPERTY = "SOLIDITY_EVENT_PROPERTY";
    const SolidityEventPropertySchema: {
        EventIndex: string;
        EventPropertyIndex: string;
        Name: string;
        Type: string;
        AddressValue: string;
        UIntValue: string;
        StringValue: string;
    };
    const SolidityEventSchema: {
        Id: string;
        Type: string;
        Created: string;
        IntegrityHash: string;
        PropertyCount: string;
    };
    const TruffleEventSchema: {
        [x: string]: {
            EventIndex: string;
            EventPropertyIndex: string;
            Name: string;
            Type: string;
            AddressValue: string;
            UIntValue: string;
            StringValue: string;
        } | {
            Id: string;
            Type: string;
            Created: string;
            IntegrityHash: string;
            PropertyCount: string;
        };
    };
    const solidityEventPropertyToObject: (prop: any) => {};
}
