"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var EventTypes;
(function (EventTypes) {
    EventTypes.SOLIDITY_EVENT = 'SOLIDITY_EVENT';
    EventTypes.SOLIDITY_EVENT_PROPERTY = 'SOLIDITY_EVENT_PROPERTY';
    EventTypes.SolidityEventPropertySchema = {
        EventIndex: 'BigNumber',
        EventPropertyIndex: 'BigNumber',
        Name: 'String',
        Type: 'String',
        AddressValue: 'String',
        UIntValue: 'BigNumber',
        StringValue: 'String'
    };
    EventTypes.SolidityEventSchema = {
        Id: 'BigNumber',
        Type: 'String',
        Created: 'BigNumber',
        IntegrityHash: 'String',
        PropertyCount: 'BigNumber'
    };
    EventTypes.TruffleEventSchema = {
        [EventTypes.SOLIDITY_EVENT]: EventTypes.SolidityEventSchema,
        [EventTypes.SOLIDITY_EVENT_PROPERTY]: EventTypes.SolidityEventPropertySchema
    };
    EventTypes.solidityEventPropertyToObject = (prop) => {
        let _obj = {};
        switch (prop.Type) {
            case 'String':
                _obj[prop.Name] = prop.StringValue;
                break;
            case 'BigNumber':
                _obj[prop.Name] = prop.UIntValue;
                break;
            case 'Address':
                _obj[prop.Name] = prop.AddressValue;
                break;
        }
        return _obj;
    };
})(EventTypes = exports.EventTypes || (exports.EventTypes = {}));
