"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const config_1 = require("../../config");
const firebase = require('firebase');
var FirebaseStorage;
(function (FirebaseStorage) {
    FirebaseStorage.storePath = 'store/';
    FirebaseStorage.init = (config = config_1.firebaseConfig) => {
        if (firebase.apps.length === 0) {
            firebase.initializeApp(config_1.firebaseConfig);
            return FirebaseStorage.db = firebase.database();
        }
        throw Error('firebase cannot be initialized with config: ' + config_1.firebaseConfig.projectId);
    };
    FirebaseStorage.getItem = (key) => {
        if (FirebaseStorage.db === undefined) {
            throw Error('db is undefined. Be sure to call FireStore.init(config)');
        }
        return new Promise((resolve, reject) => {
            FirebaseStorage.db.ref(FirebaseStorage.storePath + key)
                .once('value')
                .then((snapshot) => {
                let obj = snapshot.val();
                resolve(obj);
            })
                .catch((err) => {
                reject(err);
            });
        });
    };
    FirebaseStorage.setItem = (key, value) => {
        if (FirebaseStorage.db === undefined) {
            throw Error('db is undefined. Be sure to call FireStore.init(config)');
        }
        return new Promise((resolve, reject) => {
            FirebaseStorage.db.ref(FirebaseStorage.storePath + key).set(value)
                .then(() => {
                resolve(value);
            })
                .catch((err) => {
                reject(err);
            });
        });
    };
})(FirebaseStorage = exports.FirebaseStorage || (exports.FirebaseStorage = {}));
