import { LocalStorage } from './LocalStore/LocalStorage';
import { FirebaseStorage } from './FireStore/FirebaseStorage';
export declare module Persistence {
    interface ICacheObject {
        expires: string;
        value: Object;
    }
    interface IPersistenceStore {
        getItem: (key: string) => Promise<Object>;
        setItem: (key: string, value: Object) => Promise<Object>;
    }
    const LocalStore: typeof LocalStorage;
    const FireStore: typeof FirebaseStorage;
    const expireItem: (key: string, store?: IPersistenceStore) => Promise<Object>;
    const setItem: (key: string, value: Object, expires?: string, store?: IPersistenceStore) => Promise<Object>;
    const getItem: (key: string, store?: IPersistenceStore) => Promise<Object>;
}
